volumes:
  odoo-filestore:
    driver: local

services:
  odoo:
    build:
      context: .
      dockerfile: Dockerfile
    volumes:
      - odoo-filestore:/var/lib/odoo
    environment:
      - INFISICAL_API_URL=${INFISICAL_API_URL}
      - INFISICAL_CLIENT_ID=${INFISICAL_CLIENT_ID}
      - INFISICAL_CLIENT_SECRET=${INFISICAL_CLIENT_SECRET}
      - INFISICAL_PROJECT_ID=${INFISICAL_PROJECT_ID}
      - INFISICAL_ENV=${INFISICAL_ENV:-prod}
    ports:
      - "8069"
    networks:
      dokploy-network:
        aliases:
          - odoo
    restart: unless-stopped

networks:
  dokploy-network:
    external: true
